1. 24 Mar, 2018 3 commits
    • Georges Khaznadar's avatar
      added VCS stuff · 0504942a
      Georges Khaznadar authored
      0504942a
    • Georges Khaznadar's avatar
      Import Debian changes 11-1 · cdb2247b
      Georges Khaznadar authored
      collatinus (11-1) unstable; urgency=medium
      
        * New upstream release
        * changed build-dependencies for Qt5
        * Upgraded Standards-Version to 4.1.3, debhelper to 10
        * written collatinus.install since the Makefile does not install properly
          the application
        * written debian patches because the upstream application relies on
          application data to be in the application's directory.
      
      collatinus (10.2-2) unstable; urgency=medium
      
        * added a dependency on djvulibre-bin, thanks to José Luis Redrejo's
          notice.
        * patched the source according to an e-mail of Yves Ouvrard. This provides
          a few encoding fixes.
        * added a dependency on djview4
        * removed the obsoleted build-dependency on hardening-wrapper
        * modified collatinus.pro to take in account {C|CXX|LD}FLAGS
      
      collatinus (10.2-1) unstable; urgency=medium
      
        * upgraded to the newest upstream version.
        * upgraded Standards-Version to 3.9.5
        * empowered hardening-wrapper
      
      collatinus (10.0-6) unstable; urgency=low
      
        * included the English translation of help, thanks to Thérèse Bonin.
      
      collatinus (10.0-5) unstable; urgency=low
      
        * modified the way to compute the path to resources. Closes: #712746
        * ensured the generation of the locale fr_FR.UTF-8, and added
          a dependency on the package locales. Closes: #712940
      
      collatinus (10.0-4) unstable; urgency=low
      
        * modified initializations of std::locale instance. Closes: #696245
        * changed my DEBEMAIL
      
      collatinus (10.0-3) unstable; urgency=low
      
        * got a patch from Yves Ouvrard, and adapted it for the Debian
          package. It adds the possibility to have a warning if the recommended
          package felix-latin is not installed and that somebody wants to
          use this feature.
      
      collatinus (10.0-2) unstable; urgency=low
      
        * applied Yves Ouvrard's patch to enable the realtion between collatinus
          and felix-latin
        * changed the name of a file in the source main.cpp gaffiot.djvu => Gaffiot.djvu
        * modified debian/rules to create the right symlink to felix-latin-data's
          stuff
        * changed Recommends: dependency to be felix-latin-data
        * 
      
      collatinus (10.0-1) unstable; urgency=low
      
        * upgraded to the newest upstream version
        * upgraded Standards-version to 3.9.3
        * verified that collatinus needs no more a symlink to function.
          Closes: #670891
        * moved a binary from /usr/share to /usr/bin, made a symlink from its
          manpage to the manpage of collatinus
        * fixed the versioned dependency for debhelper
      
      collatinus (9.4-3) unstable; urgency=low
      
        * modified the install path to get rid of "collatinus9" directory
      
      collatinus (9.4-2) unstable; urgency=low
      
        * wrote Conflicts and Replaces stances to make collatinus installable
          over previously installer versions of the same package.
      
      collatinus (9.4-1) unstable; urgency=low
      
        * upgraded to the newer upstream version
        * updated Standards-Version to 3.9.2
        * switched to source format 3.0 (quilt)
        * simplified debian/rules to use only "dh $@"
        * fixed a small bug in src/main.cpp
        * suppressed two binary packages which were cumbersome and useless:
          collatinus9 and collatinus-doc; now collatinus is built for "any"
          architecture.
        * added a recommends-dependency on felix-latin
        * removed build-dependencies on latex and inkscape packages
      
      collatinus (9.3-4) unstable; urgency=low
      
        * modified the build-dependencies to get ucs.sty in Sid
          Closes: 562318
        * use inkscape to convert SVG -> PNG, since imagemagick don't recognize
          anymore the source file. Fixed the build-dependency.
        * modified the path to access lucretia.txt
      
      collatinus (9.3-3) unstable; urgency=low
      
        * updated linitian and fixed the newer warnings
      
      collatinus (9.3-2) unstable; urgency=low
      
        * fixed collatinus.pro, thanks to Yves Ouvrard's e-mail
        * added the installation routine for the files expressions.fr and 
          config
      
      collatinus (9.3-1) unstable; urgency=low
      
        * upgraded to the newer upstream release 
          (http://lucrece.no-ip.org/collatinus-9-7juin09.tar.gz)
        * fixed a lot of inconsistent encodings in doc/*.html
        * updated the standards version level to 3.8.1
      
      collatinus (9.2-3) unstable; urgency=low
      
        * upgraded compat and debhelper's version to 6.
      
      collatinus (9.2-2) unstable; urgency=low
      
        * added build-dependencies upon tex4ht, texlive-latex-recommended,
          tetex-latex-base, texlive-fonts-recommended
      
      collatinus (9.2-1) unstable; urgency=low
      
        * upgraded to the new upstream version which provides a better 
          encoding for the documentation, and features a win32 package.
      
      collatinus (9.1-3) unstable; urgency=low
      
        * modified the rules to avoid the dependency on inkscape which cannot 
          run easily in pbuilder's chroot. Added a file alpha.xpm to generate
          the binary alpha.png
      
      collatinus (9.1-2) unstable; urgency=low
      
        * included a new file alpha.svg sent by Yves Ouvrard. Modified 
          debian/rules and debian/control to manage it with inkscape.
      
      collatinus (9.1-1) unstable; urgency=low
      
        * upgraded to the new upstream version
        * fixed the encoding irregularities of files doc/*.html
        * restored the man file doc/collatinus.1
        * fixed a syntax error (main.cpp, line 826)
        * modified the variable "uia" to access the data (main.cpp, line 828)
        * modified the variable "html" to display the help (main.cpp, line 690)
        * modified the messageBox "about collatinus" to take in account the actual version and 
          license data. (main.cpp, lines 310-313)
        * fixed the file debian/copyright
      
      collatinus (8.1-2) unstable; urgency=low
      
        * merged a new version of the upstream files for collatinus.qrc and 
          collatinus.ui
      
      collatinus (8.1-1) unstable; urgency=low
      
        * added collatinus.tex, sent by Y. Ouvrard
      
      collatinus (8.0-1) unstable; urgency=low
      
        * upgraded to the new upstream version, which is based on C++/QT4
      
      collatinus (7.14-3) unstable; urgency=low
      
        * deleted the alternative dependence on python-wxgtk2.4
          Closes: #392001
      
      collatinus (7.14-2) unstable; urgency=low
      
        * overrided the Section for collatinus-doc: thanks to Adam D. Barratt
          <debian-bts@adam-barratt.org.uk>
        * confirmation of Pierre Habouzit's modifications.
          Closes: #380776
      
      collatinus (7.14-1.1) unstable; urgency=low
      
        * Non-maintainer upload.
        * Update package to the last python policy (Closes: #380776).
        * Bump Standards-Version to 3.7.2.
        * Move debhelper to Build-Depends.
        * collatinus-data has no sense: collatinus is already arch:all, so merge the
          packages.
        * generate the lematta at build time, instead of install time (it was not
          even removed in the prerm !)
      
      collatinus (7.14-1) unstable; urgency=low
      
        * upgraded to the new upstream version
        * improved the long description for collatinus-doc, thanks to Ben
          Burton <bab@debian.org>
          Closes: #353795
        * restored the dependency on python-wxgtk2.4|python-wxgtk2.6 since
          Yves Ouvrard claims that the new version is compatible with both of
          them. Really Closes: #353368
      
      collatinus (7.13-2) unstable; urgency=low
      
        * removed the dependance on python-wxgtk2.4, python-wxgtk2.6 is necessary.
          Closes Bug#353368
      
      collatinus (7.13-1) unstable; urgency=low
      
        * new upstream release (just one change in collat.py)
        * taken in account Christian Perrier's remarks (collat.py was still patched) 
      
      collatinus (7.12-1) unstable; urgency=low
      
        * new upstream release
        * taken in account Christian Perrier's remarks
        * removed lemmata from the source since it may be rebuilt when the package 
          is made, and changed python-wx/collat.py accordingly
      
      collatinus (7.11-1) unstable; urgency=low
      
        * new upstream release
      
      collatinus (7.9-1) unstable; urgency=low
      
        * new upstream release
      
      collatinus (7.9-1) unstable; urgency=low
      
        * new upstream release 
        * fixed one bug about the variable 'wild'
      
      collatinus (7.8-1) unstable; urgency=low
      
        * synchronisation with upstream 
      cdb2247b
    • Georges Khaznadar's avatar
      Import Upstream version 11 · 5a92218f
      Georges Khaznadar authored
      5a92218f